/*
 * GestoreParametriSetup.java
 *
 * Created on 19 settembre 2006, 11.10
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package configurationHandling;

import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 *
 * @author gdestri
 */
public class GestoreParametriSetup {
    
    /** Creates a new instance of GestoreParametriSetup */
    public GestoreParametriSetup() {
    }
    
/**
 * <p>Legge dal file web.xml il valore associato alla variabile di configurazione passata come parametro</p>
 * 
 * 
 * @param pName nome della variabile di configurazione da leggere
 * @return il valore del parametro di configurazione
 *
 * @throws Eccezione se non  possibile leggere la variabile
 */    
    public String getParametroSetup(String pName) throws Eccezione {
        try {
            InitialContext ctx = new InitialContext();
            return (String)ctx.lookup("java:comp/env/" + pName);        
        }
        catch (NamingException ne){
            throw new Eccezione("ERR_GETPARSETUP");
        }
    
    }
}
