/*
 * AutenticatoreServlet.java
 *
 * Created on 30 giugno 2004, 12.48
 */

package webGui;

import java.io.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;

// nostre classi di servizio
import serviceLib.Autenticatore;
import sessionMgrLib.*;
/**
 *
 * @author  gdestri
 * @version
 */
public class AutenticatoreServlet extends HttpServlet {
    
    Autenticatore auto = new Autenticatore();
    SessionManager sessionMgr = new SessionManager();
    
    String giustoURL = "";
    String erratoURL = "";
           
    /** Initializes the servlet.
     */
    public void init(ServletConfig config) throws ServletException {
        super.init(config);
        
    }
    
    /** Destroys the servlet.
     */
    public void destroy() {
        
    }
    
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        
        String risposta;
        
        // estrae i parametri in arrivo dalla form chiamante
        String usernameString = request.getParameter("usernameText");
        String passwordString = request.getParameter("passwordText");
        
        // estrae la URL invocata dalla form chiamante
        String calledHostname = request.getLocalName();
        String calledURI = request.getRequestURI();
        StringBuffer calledURL = request.getRequestURL();
        
        boolean res = auto.checkUsernameAndPassword(usernameString, 
                                                    passwordString);
        if (res == true) {
            //System.out.println("Esatto");
            risposta = "ESATTO!!!";
            sessionMgr.createSession(request, usernameString);
            
            out.println(calledURI);
            out.println(calledURL.toString());
          
        } // end if
        else {
            risposta = "Errore!!!";
        }
        
        /* TODO output your page here */
        out.println("<html>");
        out.println("<head>");
        out.println("<title>Servlet di autenticazione</title>");
        out.println("</head>");
        out.println("<body>");
        
        out.println(risposta);
        
        out.println("</body>");
        out.println("</html>");
        
        out.close();
    }
    
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    
} // end class AutenticatoreServlet